TimestampedLogger (Apache Ant API)
Keywords: org.apache.tools.ant.listener.TimestampedLogger class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.listener
Class TimestampedLogger

    java.lang.Object
      org.apache.tools.ant.DefaultLogger
          org.apache.tools.ant.listener.TimestampedLogger

All Implemented Interfaces:
  java.util.EventListener, BuildListener, BuildLogger

    public class TimestampedLogger

extends DefaultLogger

Like a normal logger, except with timed outputs

Field Summary

Fields inherited from class org.apache.tools.ant.DefaultLogger
`emacsMode, err, LEFT_COLUMN_SIZE, lSep, msgOutputLevel, out`

Constructor Summary
`TimestampedLogger()`

Method Summary
`protected java.lang.String` | `getBuildFailedMessage()` This is an override point: the message that indicates whether a build failed.
`protected java.lang.String` | `getBuildSuccessfulMessage()` This is an override point: the message that indicates that a build succeeded.
`protected java.lang.String` | `getTimestamp()` Get the current time.

Methods inherited from class org.apache.tools.ant.DefaultLogger
`buildFinished, buildStarted, formatTime, log, messageLogged, printMessage, setEmacsMode, setErrorPrintStream, setMessageOutputLevel, setOutputPrintStream, targetFinished, targetStarted, taskFinished, taskStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimestampedLogger

    public TimestampedLogger()

Method Detail

### getBuildFailedMessage

    protected java.lang.String getBuildFailedMessage()

  This is an override point: the message that indicates whether a build failed. Subclasses can change/enhance the message.

  Overrides:
    `getBuildFailedMessage` in class `DefaultLogger`
  Returns:
    The classic "BUILD FAILED"

### getBuildSuccessfulMessage

    protected java.lang.String getBuildSuccessfulMessage()

  This is an override point: the message that indicates that a build succeeded. Subclasses can change/enhance the message.

  Overrides:
    `getBuildSuccessfulMessage` in class `DefaultLogger`
  Returns:
    The classic "BUILD SUCCESSFUL"

### getTimestamp

    protected java.lang.String getTimestamp()

  Get the current time.

  Returns:
    the current time as a formatted string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD